/// @description Initialize.

target       = noone; // アニメーションを行う対象
start_vals   = [];    // 開始パラメータ
end_vals     = [];    // 終端のパラメータ
delay        = 0;     // 開始遅延フレーム数
max_frame    = 0;     // アニメーションフレーム数
easing       = noone; // イージング関数
cb_completed = noone; // アニメ終了時に実行されるコールバック関数

/// @description Tween開始関数を定義.
/// @param target
/// @param start
/// @param end
/// @param delay
/// @param frame
/// @param ease
/// @param callback
tween = function(_target, _start, _end, _delay, _frame, _ease, _cb) {
  target       = _target;
  start_vals   = _start;
  end_vals     = _end;
  delay        = _delay;
  max_frame    = _frame;
  alarm[0]     = _frame + delay; // 遅延分を含める
  easing       = _ease;
  cb_completed = _cb;
};