/// @description Update
if(instance_exists(target) == false) {
  // 対象が消滅していたら即座に終了する
  instance_destroy();
  return;
}


// 経過時間を求める (Alarmは最大値から減少するので減算で逆にする)
var past = max_frame - alarm[0];
// 経過時間の割合を求める (rateは 0.0〜1.0 の範囲)
var rate = floor(past) / max_frame;
if(alarm[0] > max_frame) {
  rate = 0; // 開始遅延中.
}

for(var i = 0; i < array_length(start_vals); i++) {
  // 開始パラメータは ":" 区切りで、"変数名:開始値" となる
  // "string_split" で文字列を分割する
  var tmp = string_split(start_vals[i], ":");
  // 変数名を格納
  var name = tmp[0];
  // 開始パラメータ
  var a    = real(tmp[1]);
  // 終端パラメータ
  var b    = real(end_vals[i]);

  // イージング関数で補完する	
  var v = a + (b - a) * easing(rate);
  // 対象オブジェクトの変数に値を代入する
  variable_instance_set(target, name, v);
}
