/// @description Tweenアニメーションを開始する
/// @param target 対象のインスタンス
/// @param start  開始値
/// @param end    終端値
/// @param delay  開始遅延フレーム
/// @param frame  移動フレーム数
/// @param ease   イージング関数の種類
/// @param cb     移動完了後に実行されるコールバック関数
/// @return tween 生成したTweenオブジェクト
function tween_start(_target, _start, _end, _delay, _frame, _ease, _cb) {
    // Tweenオブジェクトを生成.
    var tween = instance_create_depth(0, 0, 0, obj_Tween);

    // targetをTweenにアタッチしてTweenアニメーションを実行する
    tween.tween(
      _target     // 対象のインスタンス
      ,_start     // 開始値
      ,_end       // 終端値
      ,_delay     // 開始遅延フレーム
      ,_frame     // 移動フレーム数
      ,_ease      // イージング関数の種類
      ,_cb        // 移動完了後に実行されるコールバック関数
    );

    return tween;
}
