/// @description 指定の文字で文字列を分割する
/// @param str. 元の文字列
/// @param sep. 分割文字.
/// @return 分割後の文字列 (array 1d).
function string_split(str, sep) {
	var sep_len = string_length(sep);
	var ret = [];
	var idx = 0;
	while(true) {
		var pos = string_pos(sep, str);
		if(pos == 0) {
			// 見つからなかったので最後の文字を入れて終了.
			ret[idx] = str;
			break;
		}
	
		// 区切り文字の手前まで切り出す.
		ret[idx] = string_copy(str, 1, pos-1);
		idx++;

		// 区切り文字より後ろの文字を切り出す.	
		str = string_copy(str, pos+sep_len, 65535);
	}

	return ret;
}
